Skip to main content
GET
/
repos
List user's repositories
curl --request GET \
  --url https://api.diversion.dev/v0/repos \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "repo_name": "repo-name",
      "repo_id": "example_id",
      "size_bytes": 123,
      "owner_user_id": "<string>",
      "created_timestamp": 123,
      "description": "<string>",
      "default_branch_id": "<string>",
      "default_branch_name": "<string>",
      "sync_git_repo_url": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2 with the implicit grant flow

Query Parameters

owned
boolean

If specified, filters repositories by ownership of the authenticated user. True would mean only repos they own will be returned. False would mean only repos they collaborate on will be returned.

Response

Success

object
enum<string>
required
Available options:
Repo
items
object[]
required